package com.MyDomain;


import java.util.List;

import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.sql.DataSource;

import org.apache.log4j.Logger;

@Stateless
@Local(BookCatalogInterface.class)
public class BookCatalogBean implements  BookCatalogInterface {
	private Logger log = Logger.getLogger(BookCatalogBean.class);
	@PersistenceContext(unitName="EntityBean")
	EntityManager em;
	protected Bookbank book;
	protected List bookList;

	public void addBook(String title, String author, double price) {
		if (book == null)
			book = new Bookbank(title, author, price);
		em.persist(book);
	}

	@SuppressWarnings("unchecked")
	public List getAllBooks() {
		bookList = em.createQuery("select e from Bookbank e").getResultList();
		return bookList;
	}
	
	public SimpleJava test(){
		SimpleJava test = new SimpleJava();
		test.setBookName("Jboss 7");
		return test;
	}
}